"use strict";
exports.__esModule = true;
var find_trigger_bodies_1 = require("./find-trigger-bodies");
var find_trigger_footers_1 = require("./find-trigger-footers");
var find_trigger_headers_1 = require("./find-trigger-headers");
var get_trigger_line_1 = require("./get-trigger-line");
exports.find_triggers = function (source_file, ts) {
    var triggers = [];
    var headers = find_trigger_headers_1.find_trigger_headers(source_file, ts);
    var bodies = find_trigger_bodies_1.find_trigger_bodies(source_file, headers, ts);
    var footers = find_trigger_footers_1.find_trigger_footers(source_file, bodies, ts);
    for (var i = 0; i < headers.length; i++) {
        var header = headers[i];
        var body = bodies[i];
        var footer = void 0;
        var body_end_line = source_file.getLineAndCharacterOfPosition(body.end).line;
        if (footers.length !== 0 &&
            body_end_line === get_trigger_line_1.get_trigger_body_end_line(footers[0].line)) {
            footer = footers.shift();
        }
        triggers.push({
            header: header,
            body: body,
            footer: footer
        });
    }
    return triggers;
};
